<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="card m-3" *ngFor="let post of posts | paginate: config">
                <div class="card-body">
                    <h4 class="card-title">{{ post.title | uppercase}}</h4>
                    <p>{{ post.body }}</p>
                </div>
                <button [routerLink]="['/home/post-details', post?.id]">Detail</button>
            </div>

            <div class="card-footer pb-0 pt-2">
                <pagination-controls class="pagination" (pageChange)="pageChanged($event)"></pagination-controls>
            </div>
        </div>
    </div>
</div>